Download it now!
Bug 65265 - FILESAVE: DOCX export - LO doesn't export track changes that relate to formatting
Summary: FILESAVE: DOCX export - LO doesn't export track changes that relate to format...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: high normal
Assignee: Adam CloudOn
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2013-06-02 13:17 UTC by Adam CloudOn
Modified: 2017-04-18 08:34 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
DOCX containing text that was formatted during 'Track Changes' (14.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-02 13:17 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-06-02 13:17:51 UTC
Created attachment 80152 [details]
DOCX containing text that was formatted during 'Track Changes'

Problem description: 
When loading a DOCX in LO that contains track change information that relates to text formatting , and saving it as NEW.DOCX - it does not export the formatting information to NEW.DOCX.

Steps to reproduce:
1. Load that attached DOCX in LO (the DOCX contains text that was formatted when changes are tracked)
2. LO doesn't show the formatted changes in the margin
3. Save as NEW.DOCX
4. Load NEW.DOCX in MS Word
5. Word doesn't show the formatting changes

2nd way to reproduce:
1. Start Writer
2. write some text
3. Turn on 'Record Changes'
4. select a word and make it 'Bold'
5. select a word and format it with 'strikethrough'
6. save as NEW.DOCX
7. load NEW.DOCX in MS Word
8. Word doesn't show the formatting changes

Current behavior:
MS Word doesn't show the formatted changes in the margin

Expected behavior:
MS Word should show the formatted changes in the margin
Operating System: Windows 7
Version: 4.0.3.3 release
Comment 1 Jorendc 2013-06-02 22:28:02 UTC
I can confirm this using Mac OSX 10.8.3 with LibreOffice 4.0.4.1 RC1 and Word for Mac 2011.

Kind regards,
Joren
Comment 2 Commit Notification 2013-06-11 10:30:51 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7595decdfb5f9aac61ccc61ad38de4a1faa402d

fdo#65265 : fix for DOCX export of formatting data



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.